# QGIS PgHydroTools Plugin - PgHydro Tools Interface for PgHydro Extension for PostgreSQL/PostGIS

QGIS PgHydroTools Plugin is an interface used in QGIS to activate all functionality of PgHydro Extension for PostgreSQL/PostGIS.

To use this plugin, you have to install the PgHydro 6.4 extension for PostgreSQL/PostGIS at https://github.com/pghydro/pghydro

# STATUS

## Branches

The master branch has the latest minor release. (3.0)

The develop branch has the next minor release. (development)

Next LTR: version 3.2 (March 2022)

Legacy Code QGIS 2.18 Branch (legacy_code_qgis_2.18)

# INTRODUCTION

PgHydro comprises hydrographic objects developed in PostGIS/PostgreSQL spatial database management system to support decision making in Water Resources.

Hydrographic objects are all  tables, constrains, procedures, queries, functions or views developed in PostGIS/PostgreSQL in order to build a consistent river network and calculates the correct direction of flow vector water, Otto Pfafstetter’s basin coding system, selection of  upstream/downstream stretches, distance to the the mouth of the basin, upstream calculation area, river orders, basin levels, and other information to assist in decision making in water resources.

PgHydro is Open Source, available under the GPLv2 license and is supported by a growing community of individuals, companies and organizations with an interest in management and decision making in water resources.

# REQUIREMENTS

Postgresql version 9.1+

PostGIS version 2.0+

QGIS version 3.10+

Pghydro 6.4

Pghydro Consistency 6.4

Pghydro Output 6.4

## INSTALLATION

The plugin was developed in python and the latest stable release is available for download by QGIS or by the link https://plugins.qgis.org/plugins/PghydroTools/

## Notes

IMPORTANT : the changes are made in the current project, and will be saved only if you save the project.

## Authors

Alexandre de Amorim Teixeira

## Licence

GPL V2
